Package org.eclipse.birt.report.model.api.simpleapi

# Interface IDataSource

public interface IDataSource
Script wrapper of OdaDataSourceHandle

## Method Summary

Modifier and Type
Method
Description
`String`
`getExtensionID()`
Returns ID of the extension which extends this ODA data source.
`String`
`getPrivateDriverProperty(String name)`
Returns a private driver property value with the given property name.
`void`
`setPrivateDriverProperty(String name, String value)`
Sets a private driver property value with the given name and value.

## Method Details

### getExtensionID

String getExtensionID()
Returns ID of the extension which extends this ODA data source.

Returns:
  the extension ID

### getPrivateDriverProperty

String getPrivateDriverProperty(String name)
Returns a private driver property value with the given property name.

Parameters:
  `name` - the name of a public driver property
Returns:
  a public driver property value

### setPrivateDriverProperty

void setPrivateDriverProperty(String name, String value) throws SemanticException
Sets a private driver property value with the given name and value. If the property does not exist, it will be added into the property list. If the property already exists, the value will be overwritten.

Parameters:
  `name` - the name of a public driver property
  `value` - the value of a public driver property
Throws:
  `SemanticException` - if `name` is `null` or an empty